org.apache.coyote.http11.upgrade

## Class UpgradeOutbound

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.coyote.http11.upgrade.UpgradeOutbound

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Deprecated.
Will be removed in Tomcat 8.0.x.

    @Deprecated
    public class UpgradeOutbound
    extends OutputStream

Allows data to be written to the upgraded connection.

### Constructor Summary

Constructors
Constructor and Description
`UpgradeOutbound(UpgradeProcessor<?> processor)` Deprecated.

### Method Summary

Methods
`void` `flush()` Deprecated.
`void` `write(byte[] b, int off, int len)` Deprecated.
`void` `write(int b)` Deprecated.

### Methods inherited from class java.io.OutputStream

`close, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpgradeOutbound

    public UpgradeOutbound(UpgradeProcessor<?> processor)

Deprecated.

### Method Detail

#### flush

    public void flush()
               throws IOException

Deprecated.

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Deprecated.

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
             int off,
             int len)
               throws IOException

Deprecated.

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`